Commits

Alex Szpakowski committed eb8a617

Mac: only do LOVE_LEGENDARY_LIBSTDCXX_HACK when the minimum required version is OS 10.5 (resolves issue #789)

Comments (0)

Files changed (1)

src/common/config.h

 #endif
 #if defined(__APPLE__)
 #	define LOVE_MACOSX 1
+#	include <AvailabilityMacros.h>
 #endif
 
 // Endianness.
 #endif
 
 #if defined(LOVE_MACOSX)
-#	define LOVE_LEGENDARY_LIBSTDCXX_HACK
+#	if MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_6
+#		define LOVE_LEGENDARY_LIBSTDCXX_HACK
+#	endif
 #	define LOVE_LEGENDARY_APP_ARGV_HACK
 #endif